<?php
/**
 * Internships block
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/copyleft/gpl.html.
 *
 */

/**
 * Internships block capabilities
 *
 * @author     Pablo Pagnone
 * @package    block
 * @subpackage internships
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright  Copyright (c) 2012 CareerArc Group LLC.
 **/

defined('MOODLE_INTERNAL') || die();

$capabilities = array(
                    'block/internships:connect' => array(
                        'captype' => 'read',
                        'contextlevel' => CONTEXT_SYSTEM,
                        'archetypes' => array(
                            'guest' => CAP_PREVENT,
                            'user' => CAP_ALLOW,
                            'student' => CAP_ALLOW,
                            'teacher' => CAP_ALLOW,
                            'editingteacher' => CAP_ALLOW,
                            'coursecreator' => CAP_ALLOW,
                            'manager' => CAP_ALLOW
                        )
                    ),
                    'block/internships:addblock' => array(
                        'captype' => 'read',
                        'contextlevel' => CONTEXT_SYSTEM,
                        'archetypes' => array(
                            'manager' => CAP_ALLOW,
                            'teacher' => CAP_ALLOW,
                            'editingteacher' => CAP_ALLOW
                        )
                    )
                );