<?php
/**
 * Internships block
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/copyleft/gpl.html.
 *
 */

/**
 * Internships block settings cleanup
 *
 * @author     Pablo Pagnone
 * @package    block
 * @subpackage internships
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright  Copyright (c) 2012 CareerArc Group LLC.
 **/

defined('MOODLE_INTERNAL') || die();

function xmldb_block_internships_uninstall() {
    // Remove any settings for security reasons.
    $plugin = 'block_internships';
    set_config('internships_url'    , null, $plugin);
    set_config('internships_api_url', null, $plugin);
    set_config('key'                , null, $plugin);
    set_config('secret'             , null, $plugin);
    set_config('cache_last'         , null, $plugin);
    set_config('total_internship'   , null, $plugin);
    set_config('total_companies'    , null, $plugin);

    return true;
}
