<?php
/**
 * Internships block
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/copyleft/gpl.html.
 *
 */

/**
 * Internships block strings - en
 *
 * @author     Pablo Pagnone
 * @package    block
 * @subpackage internships
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright  Copyright (c) 2012 CareerArc Group LLC.
 **/

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'Internships';

// Block content.
$string['subtitle_block'] = 'Find Your Internship Now!';
$string['first_question'] = 'What are you looking for?';
$string['first_question_default'] = 'Marketing, design...';
$string['second_question'] = 'Where?';
$string['second_question_default'] = 'City, State, Zip Code';
$string['button_search'] = 'Search';
$string['internships_from'] = 'Internships from';
$string['companies'] = 'companies';
$string['search_error'] = 'You must enter a location or a keyword of at least 2 characters to search.';
$string['internships:connect'] = 'Connect to internships.';
$string['internships:addblock'] = 'Add block internships.';

// Form to connect with enternships.
$string['instructional1'] = 'Your search results are one step away!';
$string['instructional1b'] = 'Just connect one time with Internships.com to get your results.';
$string['instructional2'] = 'Connect to Internships.com to access jobs, internships and career tools!';
$string['firstname'] = 'First Name';
$string['lastname'] = 'Last Name';
$string['email'] = 'Email';
$string['checkbox_getupdate'] = 'Get updates on internship listings and more';
$string['button_connect'] = 'Connect';
$string['checkbox_agree'] = 'By clicking connect, I agree to the <a href="{$a->url}/privacy" target="_blank">Privacy Policy</a> and <a href="{$a->url}/terms" target="_blank"> Terms &amp; Conditions</a> of Internships.com';
$string['checkbox_agree_error'] = 'You must to accept Terms of Service and Privacy Policy.';

// Error to connect.
$string['error_connect1'] = "Oops! Something went wrong.";
$string['error_connect2'] = "We're working hard to fix it though. Please try again soon.";
$string['error_connect3'] = "If you continue to see this error message, please <a target='_blank' href='http://www.internships.com/help'>contact us</a>.";
$string['invalidurl'] = 'Invalid method URL specified!';
$string['runtime_error'] = 'Runtime error!';
$string['conectivity_error'] = 'We are unable to connect to the Internships.com web service. Please check your configuration settings and general network connectivity. If the problem persists, please contact your administrator.';

// Setting.
$string['error_setting_not_save'] = 'Block can not be used until it is configured. Please click here to configure it.';
$string['internships_url'] = "Internships URL";
$string['internships_url_desc'] = "";
$string['webservice_key'] = "Key";
$string['webservice_key_desc'] = "Note: The Consumer Key is case sensitive.";
$string['webservice_secret'] = "Secret";
$string['webservice_secret_desc'] = "Note: The Consumer Secret is case sensitive.";
$string['webservice_api_url'] = "Web service URL";
$string['webservice_api_url_desc'] = "";

