<?php
/**
 * Internships block
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/copyleft/gpl.html.
 *
 */

/**
 * Settings
 *
 * @package    block
 * @subpackage internships
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * @copyright  Copyright (c) 2012 CareerArc Group LLC.
 * @author     Darko Miletic
 */

defined('MOODLE_INTERNAL') || die;

require_once(__DIR__.'/settingslib.php');
require_once(__DIR__.'/block_internships.php');

$plugin = 'block_internships';
$configs   = array();

$configs[] = new internships_url_config_text( 'internships_url'
        , get_string('internships_url', 'block_internships')
        , get_string('internships_url_desc', 'block_internships')
        , block_internships::DEFAULT_URL_INTERNSHIPS, PARAM_URL);

foreach ($configs as $config) {
    $config->plugin = $plugin;
    $settings->add($config);
}